# Balanceo en http://158.227.xxx.xxx/whoami/
#
# http://158.227.xxx.xxx:8080/dashboard/

# si se arranca nextcloud con docker-compose -f nc.yml up -d
# se incluira directamente en traefik y es accesible en http://158.227.xxx.xxx/nc/


traefik:
  image: traefik
  command: --web --docker --docker.domain=docker.localhost --logLevel=DEBUG
  ports:
    - "80:80"
    - "8080:8080"
  volumes:
    - /var/run/docker.sock:/var/run/docker.sock
    - /dev/null:/traefik.toml

whoami1:
  image: emilevauge/whoami
  labels:
    - "traefik.backend=whoami"
    - "traefik.frontend.rule=PathPrefixStrip: /whoami/"

whoami2:
  image: emilevauge/whoami
  labels:
    - "traefik.backend=whoami"
    - "traefik.frontend.rule=PathPrefixStrip: /whoami/"
